package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文档版本信息对象 doc_version
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocVersion", description = "文档版本信息")
public class DocVersion extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty("自增ID")
    @TableId
    private Long versionId;

    /**
     * 文档ID
     */
    @ApiModelProperty("文档ID")
    private Long docId;

    /**
     * 文件存储ID
     */
    @ApiModelProperty("文件存储ID")
    @Excel(name = "文件存储ID")
    private String fileId;

    public void setVersionId(Long versionId) {
        this.versionId = versionId;
    }

    public Long getVersionId() {
        return versionId;
    }

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public Long getDocId() {
        return docId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getFileId() {
        return fileId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("versionId", getVersionId())
                .append("docId", getDocId())
                .append("fileId", getFileId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
