package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocActorUser;

import java.util.List;

/**
 * 文档协作成员Mapper接口
 *
 * @author wukai
 * @date 2023-09-18
 */
public interface DocActorUserMapper extends BaseMapper<DocActorUser> {
    /**
     * 查询文档协作成员
     *
     * @param docId 文档协作成员主键
     * @return 文档协作成员
     */
    public DocActorUser selectDocActorUserByDocId(Long docId);

    /**
     * 查询文档协作成员列表
     *
     * @param docActorUser 文档协作成员
     * @return 文档协作成员集合
     */
    public List<DocActorUser> selectDocActorUserList(DocActorUser docActorUser);

    /**
     * 新增文档协作成员
     *
     * @param docActorUser 文档协作成员
     * @return 结果
     */
    public int insertDocActorUser(DocActorUser docActorUser);

    /**
     * 修改文档协作成员
     *
     * @param docActorUser 文档协作成员
     * @return 结果
     */
    public int updateDocActorUser(DocActorUser docActorUser);

    /**
     * 删除文档协作成员
     *
     * @param docId 文档协作成员主键
     * @return 结果
     */
    public int deleteDocActorUserByDocId(Long docId);

    /**
     * 批量删除文档协作成员
     *
     * @param docIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocActorUserByDocIds(Long[] docIds);
}
