package com.doc.biz.vo;

import com.doc.biz.domain.DocDir;
import com.doc.biz.domain.DocSpace;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 文件基本信息表对象 doc_info
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocInfoVO", description = "文件信息表")
@Data
public class DocInfoVO extends BaseEntity {
    /**
     * 文件ID
     */
    @ApiModelProperty("文档ID")
    private Long docId;

    /**
     * 空间ID
     */
    @ApiModelProperty("空间ID")
    private Long spaceId;

    @ApiModelProperty("空间信息")
    private DocSpace space;

    /**
     * 目录ID
     */
    @ApiModelProperty("目录ID")
    private Long dirId;

    @ApiModelProperty("目录信息")
    private DocDir dir;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    private String fileName;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    private String fileId;

    /**
     * 文件大小
     */
    @ApiModelProperty("文件大小")
    private Long fileSize;

    /**
     * 文件类型
     */
    @ApiModelProperty("文件类型")
    private String fileType;
}
