package com.doc.common.config;

import com.mongodb.client.MongoDatabase;
import com.mongodb.client.gridfs.GridFSBucket;
import com.mongodb.client.gridfs.GridFSBuckets;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.mongodb.core.MongoTemplate;

import javax.annotation.Resource;

/**
 * Mongodb配置类
 *
 * @author wukai
 * @date 2023-08-15
 */
@Configuration
public class MongoConfig {
    /**
     * 数据库配置信息
     */
    @Resource
    private MongoTemplate mongoTemplate;

    /**
     * GridFSBucket用于打开下载流
     *
     * @return GridFSBucket
     */
    @Bean
    public GridFSBucket getGridFSBucket() {
        MongoDatabase db = mongoTemplate.getDb();
        return GridFSBuckets.create(db);
    }
}
